# Requesting Alert Geography

Historical hazards returned by the `historical_hazards` endpoint do not include alert geometry (unlike the V2 active hazards endpoint). To retrieve the alert geometry for a historical hazard, use this endpoint with the hazard's `hazard_ID`.

The Maximum Alert Geography (MAG) defines the hazard's notification area, not the impact. The MAG is considered the most expansive area possible for which users should receive a notification for this hazard. For example, a flood in San Francisco may not affect Oakland. But if you are in Oakland, you'd want to know if there is a flood in San Francisco.

{% openapi src="/files/wYQaKpPZEdPb68ZWOF6w" path="/hazards/{hazard-id}/alert-geography" method="get" %}
[openapi.yaml](https://3664004773-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FbwQ2AvqpbIy1hD3QFTQG%2Fuploads%2Fgit-blob-9d646f1681dee35f7dc1c0638c3b2af1bcd498f5%2Fopenapi.yaml?alt=media)
{% endopenapi %}

{% hint style="info" %}
See [Authorizing Requests](/authentication/authorizing-requests.md#get-accesstoken-and-refreshtoken) page to get your accessToken.

The `hazard-id` is the `hazard_ID` field from the [historical hazards](/hazards/requesting-historical-hazards.md) response (e.g., 203575). Below is an example request with path parameter *hazard-id=203575*.
{% endhint %}

## Response Fields

| Properties     | Definitions                                                                                                                                                                                                                                                  |
| -------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| **magId**      | The primary key and identifier for this MAG.                                                                                                                                                                                                                 |
| **uuid**       | The unique identifier for this MAG across all DisasterAWARE systems.                                                                                                                                                                                         |
| **title**      | A human-readable title for this MAG.                                                                                                                                                                                                                         |
| **createDate** | The time this MAG was created. The value is a Unix timestamp (milliseconds).                                                                                                                                                                                 |
| **updateDate** | The time this MAG was modified. The value is a Unix timestamp (milliseconds).                                                                                                                                                                                |
| **magType**    | This field has two potential values: CALCULATED or MANUAL. Calculated means this MAG was created using an algorithm. Manual means this MAG was created by a user.                                                                                            |
| **creator**    | The user or system that created this MAG.                                                                                                                                                                                                                    |
| **isActive**   | Whether this MAG is active or not. If the MAG is disabled, hazard updates will not produce new MAGs.                                                                                                                                                         |
| **wkt**        | This property describes the geometry for this MAG. The value is an object containing the geometry in Well-Known Text (WKT) format as a MULTIPOLYGON. For more information about the WKT format please visit: <https://en.wikipedia.org/wiki/Well-known_text> |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://api-v2-docs.disasteraware.com/hazards/requesting-historical-hazards/requesting-historical-hazard-alert-geography.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
